Installation dokos sur debian 11

Bonsoir à tous,
J’ai retenté une installation sur debian 11:

$ wget https://gitlab.com/dokos/docli/raw/master/bench/install.py
$ export LC_ALL=C.UTF-8
$ sudo python3 install.py --production --user dokos --mariadb-version 10.5 --verbose

Il faudrait mettre mariadb de base en 10.5 (car la 10.4 n’existe pas sous debian11 et si on oublie l’option, il faut enlever le fichier manuellement dans apt/sourcelist.d/ pour débloquer apt-get.)
J’ai aussi essayé avec la 10.6 et 10.7, elles ne sont pas compatible:

J’ai aussi un problème sur l’installation de wkhtmltopdf

J’ai pris manuellement le paquet de la debian 10

$ wget https://github.com/wkhtmltopdf/packaging/releases/download/0.12.6-1/wkhtmltox_0.12.6-1.buster_amd64.deb && mv wkhtmltox_0.12.6-1.buster_amd64.deb /tmp/wkhtmltox.deb

Après, l’installation s’est bien terminé.

Tout fonctionne ! Par contre, en mettant --develop à la place de --production ça ne fonctionne pas

En espérant que ça puisse aider quelques-uns

1 Like

Bonsoir Mr,
Je vous remercie pour ce tutoriel
Je viens de le suivre mais j’ai un message d’erreur.
Je suis un débutant. Merci d’avance

Bonjour, le fichier wkhtmltox.deb ne semble pas être dans le répertoire /tmp/ (Dans le début, en rouge vous avez la ligne « msg » qui renseigne bien sur l’erreur qui s’est passé).
Vérifiez bien que la ligne suivante de commande n’a pas eu d’erreur:

wget https://github.com/wkhtmltopdf/packaging/releases/download/0.12.6-1/wkhtmltox_0.12.6-1.buster_amd64.deb && mv wkhtmltox_0.12.6-1.buster_amd64.deb /tmp/wkhtmltox.deb

Vous pouvez l’exécutez en 2 lignes (&& permet de mettre 2 commandes sur la même ligne)

wget https://github.com/wkhtmltopdf/packaging/releases/download/0.12.6-1/wkhtmltox_0.12.6-1.buster_amd64.deb
mv wkhtmltox_0.12.6-1.buster_amd64.deb /tmp/wkhtmltox.deb

Le déplacement du fichier peut nécessiter les droits sudo.
Après vérifier que le fichier est bien présent et cela devrait passer .

En espérant que ces infos ont pu résoudre votre erreur.

Bonjour Mr,
j’ai suivi vous instructions a la lettre mais je me suis retrouvé avec d’autres messages d’erreur apres plusierurs reinstallation.

je vais reessayer avec ubuntu 20.04 ou debian 10.
merci beaucoup

Bonjour @tambamadia ,

Le script d’installation n’est malheureusement pas encore compatible avec Debian 11. Il faut effectivement faire certaines opérations manuellment comme indiqué par @oryxr

Par contre je pense que la seconde erreur est liée à un changement dans une dépendance (https://github.com/pallets/markupsafe/issues/286) de Dodock que nous avons corrigé aujourd’hui.

Bonne soirée !